- [HTTP request](https://developers.google.com/data-manager/api/reference/rest/v1/accountTypes.accounts.partnerLinks/search#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/data-manager/api/reference/rest/v1/accountTypes.accounts.partnerLinks/search#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/data-manager/api/reference/rest/v1/accountTypes.accounts.partnerLinks/search#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/data-manager/api/reference/rest/v1/accountTypes.accounts.partnerLinks/search#body.request_body)
- [Response body](https://developers.google.com/data-manager/api/reference/rest/v1/accountTypes.accounts.partnerLinks/search#body.response_body)
  - [JSON representation](https://developers.google.com/data-manager/api/reference/rest/v1/accountTypes.accounts.partnerLinks/search#body.SearchPartnerLinksResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/data-manager/api/reference/rest/v1/accountTypes.accounts.partnerLinks/search#body.aspect)
- [Try it!](https://developers.google.com/data-manager/api/reference/rest/v1/accountTypes.accounts.partnerLinks/search#try-it)

Searches for all partner links to and from a given account.

Authorization Headers:

This method supports the following optional headers to define how the API authorizes access for the request:

- `login-account`: (Optional) The resource name of the account where the Google Account of the credentials is a user. If not set, defaults to the account of the request. Format: `accountTypes/{loginAccountType}/accounts/{loginAccountId}`

### HTTP request

`GET https://datamanager.googleapis.com/v1/{parent=accountTypes/*/accounts/*}/partnerLinks:search`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Account to search for partner links. If no `filter` is specified, all partner links where this account is either the `owningAccount` or `partnerAccount` are returned. Format: `accountTypes/{accountType}/accounts/{account}` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of partner links to return. The service may return fewer than this value. If unspecified, at most 50 partner links will be returned. The maximum value is 100; values above 100 will be coerced to 100. |
| `pageToken` | `string` A page token, received from a previous `partnerLinks.search` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `partnerLinks.search` must match the call that provided the page token. |
| `filter` | `string` Optional. A [filter string](https://google.aip.dev/160). All fields need to be on the left hand side of each condition (for example: `partner_link_id = 123456789`). Fields must be specified using either all [camel case](https://en.wikipedia.org/wiki/Camel_case) or all [snake case](https://en.wikipedia.org/wiki/Snake_case). Don't use a combination of camel case and snake case. Supported operations: - `AND` - `=` - `!=` Supported fields: - `partner_link_id` - `owning_account.account_type` - `owning_account.account_id` - `partner_account.account_type` - `partner_account.account_id` - `featureSet` For partner links with the `https://developers.google.com/data-manager/api/reference/rest/v1/accountTypes.accounts.partnerLinks#FeatureSet.ENUM_VALUES.FEATURE_SET_AD_EVENT_MANAGEMENT` feature set, the following fields are also supported: - `partnerCustomerAccount.account_id` Example: `owning_account.account_type = "GOOGLE_ADS" AND partner_account.account_id = 987654321` |

### Request body

The request body must be empty.

### Response body

Response from the `SearchPartnerLinksRequest`.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "partnerLinks": [ { object (`https://developers.google.com/data-manager/api/reference/rest/v1/accountTypes.accounts.partnerLinks#PartnerLink`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `partnerLinks[]` | ``object (`https://developers.google.com/data-manager/api/reference/rest/v1/accountTypes.accounts.partnerLinks#PartnerLink`)`` The partner links for the given account. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/datamanager`
- `https://www.googleapis.com/auth/datamanager.partnerlink`